Loading...
Searching...
No Matches
navier_stokes_solve.icc File Reference

The Navier-Stokes equations with the method of characteristics – solver function. More...

Go to the source code of this file.

## Functions

int | navier_stokes_solve (Float Re, Float delta_t, field l0h, field &uh, field &ph, size_t &max_iter, Float &tol, odiststream *p_derr=0)

## Detailed Description

The Navier-Stokes equations with the method of characteristics – solver function.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file navier_stokes_solve.icc.

## Function Documentation

## navier_stokes_solve()

int navier_stokes_solve | ( | Float | Re,
|  | Float | delta_t,
|  | field | l0h,
|  | field & | uh,
|  | field & | ph,
|  | size_t & | max_iter,
|  | Float & | tol,
|  | odiststream * | p_derr = `0`
| ) |  |

Examples
  navier_stokes_cavity.cc, and navier_stokes_solve.icc.

Definition at line 26 of file navier_stokes_solve.icc.